Wed Oct 24 11:13:19 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* eoadaptors/Postgres95/Makefile.preamble
	(ADDITIONAL_INCLUDE_DIRS): Added include flag for debian (Patch
	from Stefan Urbanek <stefanurbanek@yahoo.fr>).

2001-08-20  Adam Fedor  <fedor@gnu.org>

	* eoaccess/EOFault.m (-forwardInvocation:): Implemented (patch from
	mikulcic@die.supsi.ch).

Sat Aug 11 04:03:59 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* eoaccess/EOAdaptor.m ([EOAdaptor +adaptorWithName:]): Fixed
	spelling mistake in error message.  
	* eoadaptors/MySQL/GNUmakefile
	(MySQL_PRINCIPAL_CLASS): Define.  
	* eoadaptors/Postgres95/GNUmakefile
	(Postgres95_PRINCIPAL_CLASS): Define.
	(patches from Kim Shrier <kim@tinker.com>

Mon Jun 25 13:01:05 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* eoadaptors/Sybase/GNUmakefile: Prefixed all variables such as
	OBJC_FILES, C_FILES etc with libgdl-sybase.  Print out a short
	message if we skip compilation of this adaptor.
	* eoadaptors/Sybase/Makefile.preamble (ADDITIONAL_OBJCFLAGS),
	(ADDITIONAL_CFLAGS): Added SYBASE_CFLAGS.  (ADDITIONAL_LDFLAGS):
	Added SYBASE_LDFLAGS.
	* eoadaptors/Sybase/SybaseAdaptor.m: Do not include 
	extensions/support.h.
	* eoadaptors/Sybase/SybaseAdaptor.h: Redefine BOOL and id to avoid
	problems with sybase libraries defining them.
	* eoadaptors/Sybase/SybaseAdaptor.m: Idem.
	
Mon Jun 25 12:09:55 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* aclocal.m4 (AC_CHECK_SYBASE): Print out a message saying that we
	are compiling the SYBASE adaptor.  (AC_CHECK_SQLSERVER),
	(AC_CHECK_POSTGRES95), (AC_CHECK_ORACLE7), (AC_CHECK_ORACLE8),
	(AC_CHECK_MYSQL): Idem for the corresponding adaptors.
	* add-adaptor: Output the echo command printing the message.
	
Mon Jun 25 11:49:46 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* eoadaptors/Postgres95/Makefile.preamble (Patch from Kim Shrier
	<kim@tinker.com> to build on FreeBSD):
	(ADDITIONAL_INCLUDE_DIRS): Added -I/usr/local/include/pgsql.
	(ADDITIONAL_LIB_DIRS): Added -L/usr/local/lib

2001-05-13  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile: Remove make of Tools.
	* eoadaptors/MySQL/Makefile.preamble: Add additional libdirs
	* eoadaptors/Postgres95/Makefile.preamble:
	* eoadaptors/MySQL/MySQLValues.h: Add proper includes.
	* eoadaptors/Sybase/SybaseValues.h: Likewise.
	* eoadaptors/SQLServer/SQLServerValues.h: Likewise.
	* eoadaptors/Oracle7/Oracle7Buffer.h: Likewise.
	(Patches from Kim Shrier <kim@tinker.com>)

2000-11-06  Adam Fedor  <fedor@gnu.org>

	* Documentation: Remove use of tmpl.texi files

2000-09-13  Stephen Peters  <portnoy@portnoy.org>

	* Added MySQL adaptor.
	* config.mak.in, aclocal.m4, config.h.in, configure, configure.in,
	eoadaptors/GNUMakefile: Changes to support MySQL.

2000-08-28  Manuel Guesdon <mguesdon@orange-concept.com>

	* Tools/gsdoc-model.m: delete some traces
	
2000-08-27  Manuel Guesdon <mguesdon@orange-concept.com>

	* eoaccess/EOModel.h/.m: Added version and name handle in construction from propertyList
		Added docComment for gsdoc-model
	* eoaccess/EOJoin.h/.m: Added docComment for gsdoc-model
	* eoaccess/EOEntity.h/.m: Added docComment for gsdoc-model
	* eoaccess/EOAttribute.h/.m: Added docComment for gsdoc-model
	* eoaccess/EORelationship.h/.m: Added docComment for gsdoc-model
	* added Tools for gsdoc-model (a tool to generate .gsdoc from .model files.
	* GNUmakefile: Added Tools sub-project

2000-03-17  Manuel Guesdon <mguesdon@orange-concept.com>

	* aclocal.m4, configure added /usr/include/pgsql 
		for Postgresql

2000-02-24  Adam Fedor  <fedor@gnu.org>

	* Version 1.2.0 

	* doc/announce.tmpl.texi, doc/install.tmpl.texi,
	doc/news.tmpl.texi: Update
	* ANNOUNCE, INSTALL, NEWS: Regenerate.

2000-02-21  Adam Fedor  <fedor@gnu.org>

	* config.guess, config.sub: Update

Sun Feb 6 17:00:00 2000  Manuel Guesdon <mguesdon@orange-concept.com>

	* eoadaptor/Postgres95/Postgres95Values.m: handle "invalid" dates
	in NSCalendarDate
	+postgres95ValueFromBytes:length:owned:attribute:adaptorChannel:zone:

Sat Feb 05 20:36:00 2000  Mirko Viviani <mirko.viviani@rccr.cremona.it>

	* EOModel.m: added default adaptorClassName

Sun Oct 10 17:00:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EOQuotedExpression.m: added -dealloc
	* EOQualifier.m: added EOQualifierJoinHolder -dealloc
	* EOKeySortOrdering.m: added EOKeySortOrdering -dealloc
	* EOAttributeOrdering.m added EOAttributeOrdering  -dealloc
	* EOAttribute.m: ASSIGN for name
	
Sun Oct 2 12:00:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EORelationship.m: 	ASSIGN(name,_name) in initWithName:
		and description changes
	* EOEntity.h/.m: added -description
	* EOJoin.h/.m: added -description
	* EOSQLExpression.h/.m: changed selectListWithAttributes: to 
		selectListWithAttributes:distinct: to enable qualifier usesDistinct
	
Sun Sep 22 19:00:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EODatabaseChannel.h: 	Changed return value of databaseChannel:willRefetchObject:
		and databaseChannel:didRefetchObject:

	* EODatabaseChannel.m: 	context instead of context in logs

Sun Sep 19 19:00:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EOFaultResolver.m Open Channel if it is not open when resolving fault
	
Sun Sep 19 15:51:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EODatabaseContext.h/.m: added busyChannelsCount and openChannelsCount
	* EODatabase.h/.m: added hasBusyChannels, busyChannelsCount, openChannelsCount

Sun Sep 19 11:35:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* configure: added new include path for postgres (for Linux/RPM install)

Thu August 22 18:45:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EORelationship.m: added -description
	* EOQualifier.m: added -description
	* EOAttribute.m: added -description

Thu August 22 14:30:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* Postgres95SQLExpression.m: added ascending/descending support
		in orderByClauseForFetchOrder: for Postgresql version >= 6.0

Thu August 22 12:30:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* EOModel.[hm]: added errorInReadingWithError:(NSString*)error_
	* EOEntity.m: Using errorInReadingWithError instead of errorInReading
	* EOAttribute.m: Using errorInReadingWithError instead of errorInReading
	* EOJoin.m: Using errorInReadingWithError instead of errorInReading
	* EORelationship.m: Using errorInReadingWithError instead of errorInReading
	
Thu August 19 11:19:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	* Added log message in convertValuesToModel in EOEntity.m 
	
Thu Jully 19 23:00:00 1999  Manuel Guesdon <mguesdon@orange-concept.com>

	Various bug fixes (including Faults Garbage Collection)
        * eoaccess/EODatabase.m
        * eoaccess/EODatabseContext.m
        * eoaccess/EOFault.m 
        * eoaccess/EOFaultResolver.h
        * eoaccess/EOFaultResolver.m
        * eoaccess/EOSQLExpression.m 
	* eoadaptor/Postgres95/Postgres95SQLExpression.h
	* eoadaptor/Postgres95/Postgres95SQLExpression.m
	
Thu May 16 13:00:00 1999  Manuel Guesdon <mguesdon@sbuilders.com>

        * eoaccess/EOSQLExpression.m: 
		in -whereClauseForQualifier:joinExpresssion:
		added () around qualifierValue to get;
		WHERE (((t2.language_code = 'FR') OR (t2.language_code = 'EN')) 
			OR (t2.language_code = 'DE')) AND ...
		instead of:
		WHERE ((t2.language_code = 'FR') OR (t2.language_code = 'EN')) 
			OR (t2.language_code = 'DE') AND ...
	* eoadaptor/Postgres95/Postgres95SQLExpression.m
		replaced:
		[orderBy appendFormat:@"%@", [[order attribute] columnName]];
		by
		[orderBy appendFormat:@"%@", 
			[self expressionValueForAttribute:[order attribute]]];
	
Thu May 13 16:00:00 1999  Manuel Guesdon <mguesdon@sbuilders.com>

        * eoaccess/EORelationship.m: added copyWithZone for 
		Dictionary setObject:forKey problem [cf mail of today]
	* eoaccess/EOEntity.m: Likewise.
	* eoadaptors/Postgres95/Postgres95Values.h: added
		+(void)setPostgres95Format:(NSString*)_format;
		(cf Mail: Tue, 22 Dec 1998 15:48:44)
	* eoadaptors/Postgres95/Postgres95Values.m: 
		added: +(void)setPostgres95Format:(NSString*)_format;
		modified: CALENDAR_FORMAT.
		(cf Mail: Tue, 22 Dec 1998 15:48:44)
	
Sat Dec 19 01:26:06 1998  Matthias Klose  <doko@cs.tu-berlin.de>

        * eoaccess/Makefile.postamble: Use macro MKDIRS.

Thu Dec 17 11:41:35 1998  Adam Fedor  <fedor@ultra.doc.com>

	* eoaccess/common.h: Include ifndef around ASSIGN.

	* eoaccess/EODatabaseChannel.m: Fix typo.

	* GNUmakefile: Fix includes paths.
	* eoaccess/GNUmakefile: Likewise.
	* eoaccess/Makefile.postamble: Likewise.
	* eoadapters/GNUmakefile: Likewise.
	* eoadapters/Postgres95/GNUmakefile: Likewise.
	* eoadapters/SQLServer/GNUmakefile: Likewise.
	* eoadapters/Sybase/GNUmakefile: Likewise.
	* eointerface/GNUmakefile: Likewise.
	* gdl.make: Likewise
	* tests/GNUmakefile: Likewise
	
Mon Dec  7 09:46:22 1998  Adam Fedor  <fedor@ultra.doc.com>

	* eoadaptors/Postgres95/Postgres95Adaptor.m ([Postgres
	-createPGconn]): Get user and password to use for connecting to
	server. 
	* eoadaptors/Postgres95/Postgres95Values.m: Changed date format.
	* eoaccess/EODatabaseChannel.m (-privateReportError::): Fix error
	call. Reported by Manuel Guesdon <mguesdon@sbuilders.com> 


Thu Nov 19 09:10:53 1998  Adam Fedor  <fedor@doc.com>

	* eoadaptors/Postgres95/Makefile.preamble (ADDITIONAL_CFLAGS): Add
	POSTGRESS95 flags (Fix from Gregor Hoffleit
	<flight@mathi.uni-heidelberg.de>).

Wed Jun 17 10:51:31 1998  Adam Fedor  <fedor@doc.com>

	* GNUmakefile: Renamed from Makefile in all directories.

Fri Nov 28 12:23:41 1997  Scott Christley  <scottc@net-community.com>

	* eoaccess/EODatabaseDataSource.m
	(+releaseObjectsWithDatabaseName:contextName:channelName:):
	Free the map table before removing from the rendevous dictionary.

	* eoaccess/Makefile: Headers go within the Foundation
	library directory.
	* eoaccess/Makefile.preamble: Likewise.
	* eoadaptors/Postgres85/Makefile: Likewise.
	* eointerface/Makefile: Likewise.

	* tests/Makefile: Use test-library.make.

Sun Nov  2 10:27:23 1997  Scott Christley  <scottc@net-community.com>

	* eoaccess/EOFaultResolver.m (-fault): Cancel the fetch before
	trying to rollback the transaction.
	* eoaccess/EORelationship.m (-addJoin:): Correct check.
	* eoadaptors/Postgres95/Makefile: Build both library and bundle.
	* eoadaptors/Postgres95/Postgres95Values.m (CALENDAR_FORMAT):
	Change calendar format.
	(+postgres95ValueFromBytes:length:owned:attribute:
	adaptorChannel:zone:): Allow dates to be read from varchar.

Thu Oct 30 16:52:47 1997  Scott Christley  <scottc@net-community.com>

	* config.h.in: Eliminate foundation and runtime check.
	* gdl.make (ADDITIONAL_CPPFLAGS): Use foundation and runtime macros.

	* eoaccess/EOAdaptorContext.m: Eliminate nonexistent include file.
	* eoaccess/EOFault.m: Likewise.
	* eoadaptors/Postgres95/Postgres95Adaptor.m: Likewise.

	* eoaccess/Makefile: Convert to recursive library.make.
	* eointerface/Makefile: Likewise.

Sat Oct 18 11:08:40 1997  Scott Christley  <scottc@net-community.com>

	* gdl.make: New file.
	* AUTHORS: Update.
	* Makefile.postamble: Install/uninstall gdl.make.
	* Postgres95/Makefile (HEADERS_FILES_INSTALL_DIR): Do not
	install within the Foundation library header directory.
	* tests/Makefile: Include gdl.make to determine libraries.
	* tests/config: Remove directory and files.
	* tests/main.m: Debugging code.
	* tests/testsuite/EOPrimaryKeyDictionary/pkdict01.exp: Use
	defnsarray instead of +arrayWithObject:

Tue Oct  7 16:48:08 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* eointerface/Makefile.preamble: Set the HEADER_FILES_INSTALL_DIR to
	/eoacess (from/$(GNUSTEP_FND_DIR)/eoaccess) since GDL does not depend
	on the Foundation library. Define LIBRARIES_DEPEND_UPON.
	* AUTHORS: New file.

Tue Oct  7 16:17:06 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Changes to make GDL compile under OS 4.x using a compiler with poor
	support for nested functions: the TRY-CLEANUP code was changed to use
	the standard NS_DURING-NS_HANDLER.
	* eoaccess/EOAttribute.m: Likewise.
	* eoaccess/EORelationship.m: Likewise.
	* eoaccess/EOCustomValues.m: Don't use the internal function for
	forcing the linking; this file is included instead by EOModel.m file
	so it gets linked all the time into the client application. That's
	because of the standard Unix linkers which usually don't know about
	Objective-C categories.
	* eoaccess/EOKeyValueCoding.m: Likewise.
	* eoaccess/Makefile: Removed EOKeyValueCoding.m and EOCustomValues.m
	from the list of ObjC files. Setup an explicit dependency between
	EOModel.m and the above two files.
	Set the HEADER_FILES_INSTALL_DIR to /eoacess (from
	/$(GNUSTEP_FND_DIR)/eoaccess) since GDL does not depend on the
	Foundation library.
	* eoaccess/Makefile.preamble: Likewise. Also define
	LIBRARIES_DEPEND_UPON to make possible creation of shared libraries
	under OS 4.x and possibly other systems where building a shared library
	requires all the libraries it depends upon.
	* tests/FakeAdaptor.h: Fixed prototype.
	* tests/FakeAdaptor.m: Likewise.

	* tests/Makefile: Define the list of scripts to contain the name of the
	scripts without prepending testsuite/ in from of them. Define
	SCRIPTS_DIRECTORY to be testsuite.
	* tests/linking.m: Remove reference to external private functions in
	libeoaccess.
	* tests/main.m: Updated to work with the new testing framework.
	* tests/testsuite/*.exp: Reversed the change that calls the doLoop to
	use instead the former 'call loop' stuff. Also fixed the directory
	where the model files are taken from.

Mon Oct  6 13:42:23 1997  Scott Christley  <scottc@net-community.com>

	* Numerous changes to the testsuite to conform to the GNUstep
	makefile package and the Objective-C testing framework.
	* tests/linking.m: New file.
	* tests/Makefile: Correct typo and add new file.
	* tests/testsuite/EODatabase/db01.exp: Test needs to set
	the primary keys of the entity.
	* tests/config/classes.exp: Define GoToBeginException class.
	* tests/testsuite/EODatabase/*.exp: Change call loop to perform
	doLoop procedure instead.  Also change any references to model
	files to the appropriate directory.
	* tests/testsuite/EODatabaseContext/*.exp: Likewise.
	* tests/testsuite/EOExpressionArray/*.exp: Likewise.
	* tests/testsuite/EOFault/*.exp: Likewise.
	* tests/testsuite/EOKeyValueCoding/*.exp: Likewise.
	* tests/testsuite/EOModel/*.exp: Likewise.
	* tests/testsuite/EOObjectUniquer/*.exp: Likewise.
	* tests/testsuite/EOPrimaryKeyDictionary/*.exp: Likewise.
	* tests/testsuite/EOQualifier/*.exp: Likewise.
	* tests/testsuite/EOSQLExpression/*.exp: Likewise.
	* tests/testsuite/SybaseAdaptor/*.exp: Likewise.

Thu Oct  2 16:04:51 1997  Scott Christley  <scottc@net-community.com>

	* Convert the testsuite to the GNUstep makefile package.
	* tests/Makefile: New file.
	* tests/main.m: New file.
	* tests/testsuite/config/*.exp: Move files to test/config.
	* tests/GNUmakefile: Delete.
	* tests/allocdebug.env: Delete.
	* tests/allocdebug.gdb: Delete.
	* tests/driver.h: Delete.
	* tests/driver.m: Delete.
	* tests/functions.m: Delete.
	* tests/gencmds.sh: Delete.
	* tests/linking.m: Delete.
	* tests/loop.m: Delete.
	* tests/testsuite/EOQualifier/qualifier01.exp: Correct path.

	* eoaccess/EOAdaptor.m (+adaptorWithName:): Rewrite so that it
	checks system, local, and user GNUstep roots for adaptors.

	* eoadaptors/Postgres95/Makefile: Build as bundle.

Tue Sep 30 09:03:32 1997  Scott Christley  <scottc@net-community.com>

	* Convert to the GNUstep makefile package.
	* Makefile: New file.
	* Makefile.postamble: New file.
	* GNUmakefile: Delete.
	* config.h.in: Remove obsolete macros.
	* config.mak.in: Remove obsolete code.  Add macros for the
	runtime and foundation library.
	* configure.in: Remove obsolete checks.
	* configure: Regenerate for configure.in changes.
	* eoaccess/Makefile: New file.
	* eoaccess/Makefile.preamble: New file.
	* eoaccess/Makefile.postamble: New file.
	* eoaccess/GNUmakefile: Delete.
	* eoadaptors/Makefile: New file.
	* eoadaptors/GNUmakefile: Delete.
	* eoadaptors/Postgres95/Makefile: New file.
	* eoadaptors/Postgres95/Makefile.preamble: New file.
	* eoadaptors/Postgres95/GNUmakefile: Delete.
	* eoadaptors/SQLServer/Makefile: New file.
	* eoadaptors/SQLServer/Makefile.preamble: New file.
	* eoadaptors/SQLServer/GNUmakefile: Delete.
	* eoadaptors/Sybase/Makefile: New file.
	* eoadaptors/Sybase/Makefile.preamble: New file.
	* eoadaptors/Sybase/GNUmakefile: Delete.
	* eointerface/Makefile: New file.
	* eointerface/Makefile.preamble: New file.
	* eointerface/GNUmakefile: Delete.

	* Version: Increment minor version.

Tue Aug 12 15:28:01 1997  Scott Christley  <scottc@net-community.com>

	* GNUmakefile: Split into two lines.
	* config.guess: Update.
	* config.sub: Update
	* configure.in: Set -pipe based upon system.
	* config.mak.in: Likewise.
	* configure: Regenerate.
	* eoaccess/GNUmakefile: Add preliminary support for building DLL.
	* eoaccess/libgnustep-db.def: New file.
	* eoaccess/win32-def.top: New file.
	* eoaccess/win32-entry.c: New file.

	* eoaccess/EODatabaseDataSource.m (-createObject): No reason to
	start a transaction when creating an object.
	* eoadaptors/SQLServer/SQLServerValues.m (-hashForGDL): New method.
	(-isEqualForGDL:): New method.
	(-stringValueForSQLServerType:attribute:): Use the double value
	directly versus relying upon the %@ capability of NSString.
	(+valueFromBytes:length:sqlserverType:attribute:adaptorChannel:zone:)
	Don't add one to the month.

Wed Apr 23 17:16:50 1997  Scott Christley  <scottc@net-community.com>

	* aclocal.m4: Set the foundation library to just gnustep-base
	when it is found.
	* configure: Regenerate for aclocal.m4 changes.
	* eoaccess/EOFaultResolver.m (-fault): Rollback the transaction
	if the fetch on the object failed.
	* eoaccess/GNUmakefile (headers): Add -r option incase they
	are directories versus symbolic links.

Tue Apr  1 10:12:55 1997  GNUstep Development  <gnustep@net-community.com>

	* eoaccess/EONull.m (+initialize): Pass the default zone.
	* eoaccess/EODatabaseDataSource.m (+registerChannel:
	forRendezvousWithDatabaseName:contextName:channelName:): Use
	channel name not context when searching in dictionary.
	(+channelForRendezvousWithModelName:databaseName:
	contextName:channelName:): Likewise.

Fri Mar 28 14:28:18 1997  GNUstep Development  <gnustep@net-community.com>

	* ANNOUNCE: New file.
	* FAQ: New file.
	* doc/announce.tmpl.texi: Update.
	* doc/GNUmakefile: Copy additional text files to top directory.

Wed Mar 19 16:15:57 1997  Scott Christley <scottc@net-community.com>

	* aclocal.m4: Rearrange LIBS.
	* configure: Regenerate for aclocal.m4 changes.

Mon Mar 10 14:54:16 1997  Scott Christley <scottc@net-community.com>

	* doc/install.tmpl.texi: New file.
	* doc/faq.tmpl.texi: New file.
	* doc/install.tmpl.texi: New file.
	* doc/news.tmpl.texi: New file.
	* doc/readme.tmpl.texi: New file.
	* doc/status.tmpl.texi: New file.
	* doc/todo.tmpl.texi: New file.
	* doc/GNUmakefile: Update for new files.
	* NEWS: New file.
	* INSTALL: Update.
	* README: Update.
	* STATUS: Update.
	* TODO: Update.
	* Version: Update.

Mon Mar 10 10:13:08 1997  Scott Christley <scottc@net-community.com>

	* SUPPORT: New file.
	* Version: New file.
	* doc/gdl.texi: Additional documentation.
	* eoaccess/EOAdaptor.m: Add link forcing methods.
	* eoaccess/EODatabaseDataSource.m
	(+releaseObjectsWithDatabaseName:contextName:channelName:):
	Remove context from database map table.  Remove database
	from global map table.
	* eoaccess/EOGenericRecord.m (-initWithPrimaryKey:entity:): Allow
	key to be nil.
	* eoaccess/GNUmakefile (headers): Remove links.
	* eoadaptors/Postgres95/Postgres95Adaptor.m
	(-hasValidConnectionDictionary): New method.
	* eoadaptors/Postgres95/Postgres95SQLExpression.m (-fromClause):
	HOLDLOCK not implemented in Postgres.

Mon Feb  3 16:47:25 1997 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* aclocal.m4: Fixed to properly detect the Objective-C runtime.
	* config.sub: Added check for -openstep.
	* eoaccess/EOGenericRecord.m: (-initWithPrimaryKey:entity:) If the
	key dictionary is nil return the nil object.
	* eoaccess/EOKeyValueCoding.m: Include the NSUtilities.h header file.

Wed Jan 22 16:07:36 1997 Scott Christley <scottc@net-community.com>

	* aclocal.m4: Fixes so that the gnustep-base library and the
	GNU Objective-C runtime are detected properly.
	* config.guess: Install new version.
	* config.sub: Likewise.
	* config.mak.in: Use configure variables.
	* configure.in: Add check for ln -s.
	* configure: Regenerate for configure.in changes.
	* eoaccess/EOFault.m: Handle error properly if fetch of fault
	object does not return a row.
	* eoaccess/GNUmakefile: Use configure variable for ln -s.
	* eoadaptors/Postgres95/GNUmakefile: Make install target blank
	if Postgres95 database not configured.
	* eoadaptors/Sybase/GNUmakefile: Make install target blank
	if Sybase database not configured.
	* eoadaptors/SQLServer/GNUmakefile: Some targets still said
	Sybase instead of SQLServer.
	* eoadaptors/SQLServer/SQLServerAdaptor.m 
	(hasValidConnectionDictionary): New method.
	* eointerface/GNUmakefile: Use configure variable for ln -s.

Fri Jan  3 21:16:07 1997 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoaccess/GCGenericRecord.[hm]: New files.

Mon Dec 23 23:27:32 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoadaptors/Postgres95/Postgres95Channel.m: Removed the dt type
	support. Modified to work with the 1.09 version abstime type instead.
	* eoadaptors/Postgres95/Postgres95Values.m: Likewise.

Mon Dec 16 00:27:30 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoaccess/EOAttribute.m: Fixed how the datetime values are handled
	depending on the server and client time zones.
	* eoadaptors/Sybase/SybaseValues.m: Likewise.
	* eoadaptors/SQLServer/SQLServerValues.m: Likewise.
	* eoadaptors/Postgres95/Postgres95Values.m: Likewise. Fixed bug in
	handling of dates before reference date.
	* eoaccess/EOAttribute.m: Fixed the values returned by -isReadOnly,
	-valueClassName, -externalType and -valueType in the case of derived
	attributes.
	* eoaccess/EOAdaptorContext.m: The transaction methods now check if a
	channel has been opened previously.
	* eoadaptors/Sybase/SybaseContext.m: Check to see if more than one
	channel is opened per context.
	* eoadaptors/SQLServer/SQLServerContext.m: Likewise.

	* Makefiles: Makefiles are no longer different for Unix and Win32. All
	the makefiles were renamed to GNUmakefile to better reflect they are
	makefiles for GNU make.

Wed Dec 04 11:11:16 1996 Scott Christley  <scottc@net-community.com>

	* eointerface/Makefile: Rename to Makefile.in.
	* eointerface/Makefile.win32: New file.
	* config.mak.in: Use configure variables for librarian.
	* configure.in: Set librarian variables.
	* configure: Regenerate for configure.in changes.
	* eoaccess/EOPrimaryKeyDictionary.m: Implement +allocWithZone:
	* eoaccess/EORelationship.m (-replaceStringWithObjects): Correct
	bug where destination attributes being set improperly.

Tue Dec 10 10:33:01 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* EOAttribute.m (-setDefinition:): Set valueClassName to the value
	of the real attribute in case of a flattened attribute.

Mon Dec 9 23:00:00 1996 Mircea Oancea <mircea@jupiter.elcom.pub.ro>

	* EOSQLExpression.m modified to user INSERT INTO and DELETE FROM
	* Postgres95 adaptor is now ready to work in directory
	eoadaptors/Postgres95
	* eoadaptors/Postgres95/* New files.
	* Postgres95 test in tests/model/postgres95-test1.eomodel to be
	used with CompiledTest program.

Fri Dec  6  8:47:15 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoadaptors/Sybase/SybaseChannel.m: New instance variable
	rowsAffected. It is checked in updates to find out how many records
	were affected. Bug fix from Mircea.
	* eoadaptors/SQLServer/SQLServerChannel.m: Likewise.

Thu Dec  5 10:10:11 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* doc/gdl.texi: New file.

Wed Dec  4  8:47:15 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoaccess/EORelationship.m (-replaceStringsWithObjects): Fixed the
	code that computes the destination attribute.

Wed Nov 27 11:12:11 1996 Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* eoadaptors/SQLServer/SQLServerAdaptor.m (-typeForName:): Implemented.

Fri Nov 22 14:13:47 1996  Scott Christley  <scottc@net-community.com>

	* configure.in: Have configure create makefiles.
	* configure: Regenerate with configure.in changes.
	
	Major changes for Win32
	* GNUmakefile: Renamed to Makefile.in
	* Makefile.win32: New file.
	* config.h.win32: New file.
	* config.mak.in: Minor changes and add SQLServer adaptor.
	* config.mak.sed.win32: New file.
	* configure.bat: New file.
	* eoaccess/EOAdaptor.m: Don't include some header files
	that don't exist on Win32.
	* eoaccess/common.h: Likewise.
	* eoaccess/GNUmakefile: Renamed to Makefile.in
	* eoaccess/Makefile.win32: New file.
	* eoadaptors/GNUmakefile: Renamed to Makefile.in
	* eoadaptors/Makefile.win32: New file.

	SQLServer adaptor
	* eoadaptors/SQLServer/.cvsignore: New file.
	* eoadaptors/SQLServer/Info.plist: New file.
	* eoadaptors/SQLServer/Makefile.in: New file.
	* eoadaptors/SQLServer/Makefile.win32: New file.
	* eoadaptors/SQLServer/README: New file.
	* eoadaptors/SQLServer/SQLServerAdaptor.h: New file.
	* eoadaptors/SQLServer/SQLServerAdaptor.m: New file.
	* eoadaptors/SQLServer/SQLServerChannel.h: New file.
	* eoadaptors/SQLServer/SQLServerChannel.m: New file.
	* eoadaptors/SQLServer/SQLServerContext.h: New file.
	* eoadaptors/SQLServer/SQLServerContext.m: New file.
	* eoadaptors/SQLServer/SQLServerExceptions.h: New file.
	* eoadaptors/SQLServer/SQLServerExceptions.m: New file.
	* eoadaptors/SQLServer/SQLServerSQLExpression.h: New file.
	* eoadaptors/SQLServer/SQLServerSQLExpression.m: New file.
	* eoadaptors/SQLServer/SQLServerValues.h: New file.
	* eoadaptors/SQLServer/SQLServerValues.m: New file.

	* ChangeLog: New file.
	* eoaccess/EOKeyValueCoding.m: Add include file.

